Bug 306431 - Review Request: scim-python - a python wrapper for SCIM input platform
Review Request: scim-python - a python wrapper for SCIM input platform
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-26 02:07 EDT by Peng Huang
Modified: 2007-11-30 17:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-29 08:50:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Huang 2007-09-26 02:07:35 EDT
Spec URL: http://groups.google.com/group/scim-python/web/scim-python.spec
SRPM URL: http://groups.google.com/group/scim-python/web/scim-python-0.1.2-1.fc7.src.rpm
Description: a python wrapper for SCIM input platform. With it, IM developers may use python language to create Input Methods. This package also includes a sample input engine - English Writer.
Comment 1 Parag AN(पराग) 2007-09-26 03:08:09 EDT
need fix
1)Add  BuildRequires:  perl(XML::Parser),pygtk2-devel
2) Remove BuildRequires: autoconf, automake
Comment 2 Peng Huang 2007-09-26 03:28:03 EDT
scim-python.spec and scim-python-0.1.2-1.fc7.src.rpm have been refreshed. Please
check it.

Below is diff from scim-python.spec.
Thanks.

===================================================================
--- scim-python.spec.in (revision 49)
+++ scim-python.spec.in (working copy)
@@ -9,8 +9,8 @@
 Source0:    http://scim-python.googlecode.com/files/%{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-BuildRequires:  scim-devel, gettext, gettext-devel, autoconf, automake,
libtool, python
-Requires:   scim python-enchant
+BuildRequires:  scim-devel, gettext, gettext-devel, libtool, python-devel,
pygtk2-devel, perl(XML::Parser)
+Requires:   scim, python-enchant, pygtk2
 
 %description
 Python IMEngine for SCIM.
Comment 3 Jens Petersen 2007-09-26 03:43:51 EDT
- I think the License field should say LGPLv2+

- gettext-devel will pull in gettext anyway

- "%{_libdir}/scim*/*" are owned by scim so it should be
  "%{_libdir}/scim*/*/%{name}*.so" say
Comment 4 Peng Huang 2007-09-26 04:07:58 EDT
(In reply to comment #3)
> - I think the License field should say LGPLv2+
> 
> - gettext-devel will pull in gettext anyway
> 
> - "%{_libdir}/scim*/*" are owned by scim so it should be
>   "%{_libdir}/scim*/*/%{name}*.so" say

Those problems have been fixed and files have been refreshed. Please check it.
Thanks.

===================================================================
--- scim-python.spec.in (revision 49)
+++ scim-python.spec.in (working copy)
@@ -3,14 +3,14 @@
 Release:    1%{?dist}
 Summary:    Python IMEngine for Smart Common Input Method platform
 
-License:    LGPLv2
+License:    LGPLv2+
 Group:      System Environment/Libraries
 URL:        http://code.google.com/p/scim-python/
 Source0:    http://scim-python.googlecode.com/files/%{name}-%{version}.tar.bz2
 BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
-BuildRequires:  scim-devel, gettext, gettext-devel, autoconf, automake,
libtool, python
-Requires:   scim python-enchant
+BuildRequires:  scim-devel, gettext-devel, libtool, python-devel, pygtk2-devel,
perl(XML::Parser)
+Requires:   scim, python-enchant, pygtk2
 
 %description
 Python IMEngine for SCIM.
@@ -40,9 +40,8 @@
 %defattr(-,root,root,-)
 %doc AUTHORS COPYING README TODO
 %{_libdir}/python*/site-packages/*.so
-%{_libdir}/scim*/*
-%{_datadir}/scim-python/engine/*
-%{_datadir}/scim-python/setupui/*
+%{_libdir}/scim*/*/%{name}*.so
+%{_datadir}/scim-python/*
 %{_datadir}/scim/icons/*
Comment 5 Jens Petersen 2007-09-26 04:19:14 EDT
> Those problems have been fixed

Thanks. :)

> and files have been refreshed. Please check it.

Could you please provide the urls for the spec and srpm for each revision.
The release number should be bumped too please.

You need to own %{_datadir}/scim-python/ too.
Comment 6 Jens Petersen 2007-09-26 04:22:18 EDT
rpmlint says

scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/IMEngine/scim-python.so /usr/lib/python2.5/site-packages/scim.so
scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/SetupUI/scim-python-setup.so
/usr/lib/python2.5/site-packages/scim.so

I think it is not a blocker but you might prefer to use a relsymlink.
Comment 7 Mamoru TASAKA 2007-09-26 04:30:41 EDT
* For python sitelib/arch directory, please follow:
  http://fedoraproject.org/wiki/Packaging/Python
Comment 8 Mamoru TASAKA 2007-09-26 04:36:05 EDT
* Rebuild fails at least on x86_64
  http://koji.fedoraproject.org/koji/taskinfo?taskID=175148

  - Note: the build.log says:
------------------------------------------------------------
RPM build errors:
    File not found by glob:
/var/tmp/scim-python-0.1.2-1.fc8-root-kojibuilder/usr/lib64/python*/site-packages/*.so
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/scim.la
   /usr/lib/python2.5/site-packages/scim.so
------------------------------------------------------------
    scim.so must be installed under python_sitearch (i.e.
    under /usr/lib64), not under python_sitelib
Comment 9 Peng Huang 2007-09-26 05:07:32 EDT
(In reply to comment #5)
> Could you please provide the urls for the spec and srpm for each revision.
> The release number should be bumped too please.

Sorry. I refreshed the files on web. I do not reserve the old version.

> You need to own %{_datadir}/scim-python/ too.
Fixed. add %dir %{_datadir}/scim-python

(In reply to comment #6)
> rpmlint says
> 
> scim-python.i386: W: symlink-should-be-relative
> /usr/lib/scim-1.0/IMEngine/scim-python.so /usr/lib/python2.5/site-packages/scim.so
> scim-python.i386: W: symlink-should-be-relative
> /usr/lib/scim-1.0/SetupUI/scim-python-setup.so
> /usr/lib/python2.5/site-packages/scim.so
> 
> I think it is not a blocker but you might prefer to use a relsymlink.

It has a little difficulty to create relsymlink now. If it is not blocker, I
will try fix it later. 

(In reply to comment #8)
> * Rebuild fails at least on x86_64
Fixed. Please retry it.
Thanks

The new URLs:
http://groups.google.com/group/scim-python/web/scim-python.spec-2
http://groups.google.com/group/scim-python/web/scim-python-0.1.2-2.fc7.src.rpm
Comment 10 Parag AN(पराग) 2007-09-26 06:04:08 EDT
 * cool. So many comments. thanks to Jens and Mamoru.

 *rpmlint on SRPM says 
scim-python.src:54: W: macro-in-%changelog dir
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.

* on RPM it said
scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/IMEngine/scim-python.so /usr/lib/python2.5/site-packages/scim.so
Absolute symlinks are problematic eg. when working with chroot environments.

scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/SetupUI/scim-python-setup.so
/usr/lib/python2.5/site-packages/scim.so
Absolute symlinks are problematic eg. when working with chroot environments.


 * And build.log showed 
warning: File listed twice: /usr/lib/python2.5/site-packages/scim.so

So from %files section you should remove 
%{_libdir}/python*/site-packages/*.so

* otherwise package looks ok.

Comment 11 Mamoru TASAKA 2007-09-26 06:17:34 EDT
Still seems not okay.

http://koji.fedoraproject.org/koji/taskinfo?taskID=175238
Comment 12 Peng Huang 2007-09-26 06:31:47 EDT
(In reply to comment #11)
> Still seems not okay.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=175238

Could you tell me how to build it on koji? When I update the spec file, I may
try it by self.
Comment 13 Peng Huang 2007-09-26 06:46:27 EDT
(In reply to comment #11)
> Still seems not okay.
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=175238

I modified to fix rpmlint checking warning on SRPM and build warning for rpm.
And I also fix the build problem for X86_64 arch, but without test. :-/

The new URLs:
http://groups.google.com/group/scim-python/web/scim-python.spec-3
http://groups.google.com/group/scim-python/web/scim-python-0.1.2-3.fc7.src.rpm
Comment 14 Mamoru TASAKA 2007-09-26 06:47:05 EDT
You can try by:

koji build --scratch <target> <srpm_you_want_to_try>
Currently target can be "dist-f8" or "dist-fc7-updates-candidate".

If rebuild ends successfully, the result binary rpms are put under
htt://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<task_id>/
Comment 15 Mamoru TASAKA 2007-09-26 06:48:20 EDT
(In reply to comment #14)

> If rebuild ends successfully, the result binary rpms are put under
> htt://koji.fedoraproject.org/scratch/<your_FAS_name>/task_<task_id>/

Of course this is http://
Comment 16 Parag AN(पराग) 2007-09-26 07:01:24 EDT
I think if macro is not getting expanded to lib64.
Comment 17 Peng Huang 2007-09-26 07:05:10 EDT
It passed the koji build. 
The problem is in a Makefile.am in the tarball. It does not install the .so file
into /usr/lib64/... in x86_64 arch, and it still install .so into /usr/lib/...
Comment 18 Parag AN(पराग) 2007-09-26 07:15:02 EDT
In that case you can use arch specific patch for Makefile like say
%ifarch x86_64
%patch1 -p1
%endif

and need to change accordingly at other places in SPEC.
Comment 19 Mamoru TASAKA 2007-09-26 07:32:58 EDT
* For scim-python*.so:
  - Well, this package installs scim-python.so under
    /usr/lib/scim-1.0/IMEngine/ (on i386), however on my rawhide
    system the directory /usr/lib/scim-1.0/IMEngine/ does not exist
    and _perhaps_ this must be installed under
    /usr/lib/scim-1.0/1.4.0/IMEngine/ (this directory is owned
    by scim-1.4.7-5.fc8)

  - Similary, /usr/lib/scim-1.0/SetupUI does not exist on my system,
    and /usr/lib/scim-1.0/1.4.0/SetupUI/ is owned by scim
Comment 20 Jens Petersen 2007-09-26 07:54:28 EDT
If you don't already the scim pkgconfig config from scim-devel should
be used to give you the correct install location.
Comment 21 Parag AN(पराग) 2007-09-26 08:02:42 EDT
(In reply to comment #19)
> * For scim-python*.so:
>   - Well, this package installs scim-python.so under
>     /usr/lib/scim-1.0/IMEngine/ (on i386), however on my rawhide
>     system the directory /usr/lib/scim-1.0/IMEngine/ does not exist
>     and _perhaps_ this must be installed under
>     /usr/lib/scim-1.0/1.4.0/IMEngine/ (this directory is owned
>     by scim-1.4.7-5.fc8)
> 
>   - Similary, /usr/lib/scim-1.0/SetupUI does not exist on my system,
>     and /usr/lib/scim-1.0/1.4.0/SetupUI/ is owned by scim

yes. you are right. Other scim-* say scim-hangul, scim-anthy are installing
under /usr/lib/scim-1.0/1.4.0/IMEngine/ and /usr/lib/scim-1.0/1.4.0/SetupUI/

For this you need to patch configure.in
run autoconf in SPEC

Comment 22 Jens Petersen 2007-09-26 08:08:52 EDT
SCIM_MODULEDIR=`$PKG_CONFIG --variable=moduledir scim` should help.
Comment 23 Parag AN(पराग) 2007-09-26 08:22:41 EDT
or just directly patch configure file but that made me to have %files section
for that as
%{_libdir}/scim-1.0/1.4.0/IMEngine/scim-python.so
%{_libdir}/scim-1.0/1.4.0/SetupUI/scim-python-setup.so
instead to have it as
%{_libdir}/scim-1.0/*/IMEngine/scim-python.so
%{_libdir}/scim-1.0/*/SetupUI/scim-python-setup.so
which is preferred by most of other scim-* packages
Comment 24 Peng Huang 2007-09-26 23:15:40 EDT
new URLs are:
http://groups.google.com/group/scim-python/web/scim-python-0.1.3-1.fc7.src.rpm
http://groups.google.com/group/scim-python/web/scim-python.spec-4

Fix koji build problems. Update tarball to 0.1.3. It has been tested in koji.
Install *.so in the %{_libdir}/scim-1.0/1.4.0/*/ .

Please recheck it. Thanks.


Comment 25 Parag AN(पराग) 2007-09-27 02:54:42 EDT
looks ok to me this new SRPM for i386.
Comment 26 Mamoru TASAKA 2007-09-27 07:06:34 EDT
Also +1 from me.
Comment 27 Parag AN(पराग) 2007-09-27 07:24:56 EDT
cool thanks mtasaka.
Phuang,
   Can you please Update working Source URL please?
Comment 28 Peng Huang 2007-09-27 07:54:17 EDT
The tarball has been uploaded.
Thanks everybody.
Comment 29 Parag AN(पराग) 2007-09-27 08:07:44 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but not for RPM.
scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/1.4.0/IMEngine/scim-python-engine.so
/usr/lib/python2.5/site-packages/scim.so
Absolute symlinks are problematic eg. when working with chroot environments.

scim-python.i386: W: symlink-should-be-relative
/usr/lib/scim-1.0/1.4.0/SetupUI/scim-python-setup.so
/usr/lib/python2.5/site-packages/scim.so
Absolute symlinks are problematic eg. when working with chroot environments.
  I think this should not be blocker as absolute path looks correct for Fedora.
+ source files match upstream.
70acce6fc5e343cc0644c81f2092b9a1  scim-python-0.1.3.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package scim-python-0.1.3-1.fc8 ->
  Provides: scim.so scim.so(SCIM_0.1)
  Requires: libatk-1.0.so.0 libc.so.6 libc.so.6(GLIBC_2.0)
libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.2) libc.so.6(GLIBC_2.4) libcairo.so.2
libdl.so.2 libgcc_s.so.1 libgcc_s.so.1(GCC_3.0) libgdk-x11-2.0.so.0
libgdk_pixbuf-2.0.so.0 libglib-2.0.so.0 libgmodule-2.0.so.0 libgobject-2.0.so.0
libgtk-x11-2.0.so.0 libm.so.6 libpango-1.0.so.0 libpangocairo-1.0.so.0
libpthread.so.0 libpython2.5.so.1.0 libscim-1.0.so.8
libscim-1.0.so.8(LIBSCIM_1.0) libstdc++.so.6 libstdc++.so.6(CXXABI_1.3)
libstdc++.so.6(GLIBCXX_3.4) libutil.so.1 pygtk2 python(abi) = 2.5 python-enchant
rtld(GNU_HASH) scim
+ Not a GUI app.

APPROVED.
Comment 30 Peng Huang 2007-09-27 08:19:02 EDT
New Package CVS Request
=======================
Package Name: scim-python
Short Description: Python wrapper for Smart Common Input Method platform.
Owners: phuang 
Branches: 
InitialCC: 
Cvsextras Commits: yes
Comment 31 Kevin Fenzi 2007-09-27 12:28:24 EDT
cvs done.
Comment 32 Peng Huang 2007-09-29 08:50:21 EDT
make build successfully.

Note You need to log in before you can comment on or make changes to this bug.